Attendance reports#
GET /api/attendance/report#
Get the attendance report
Returns per-member attendance counts over a window.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
query |
no |
The time window to report over. |
|
|
query |
boolean |
no |
Only count raid events. |
Response 200 — The attendance report.
Model: AttendanceReport
Field |
Type |
Required |
Description |
|---|---|---|---|
|
yes |
||
|
boolean |
yes |
|
|
array of MemberAttendanceRow |
yes |
GET /api/attendance/trends#
Get attendance trends
Returns weekly distinct attendees and show rate over a window, oldest week first.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
query |
no |
The time window to report over. |
|
|
query |
boolean |
no |
Only count raid events. |
Response 200 — The attendance trends.
Model: AttendanceTrends
Field |
Type |
Required |
Description |
|---|---|---|---|
|
yes |
||
|
boolean |
yes |
|
|
array of AttendanceTrendPoint |
yes |